Projects
Preview project retirement impact
GET
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthResponse for status 200
application/json- response
kind*stringValue in
"project""workspace"id*stringname*stringstate*stringValue in
"active""archiving""archived""deleting""deleted"revision*numberisDefault*booleanfingerprint*stringcleanupPending*numberchangedAt*numberprojects*array<>counts*publications*pending*numberuncertain*numberactive*numbermembers*numbercurl -X GET 'https://postbot.example/api/projects/string/lifecycle'Example Response
{
"kind": "project",
"id": "string",
"name": "string",
"state": "active",
"revision": 0,
"isDefault": true,
"fingerprint": "string",
"cleanupPending": 0,
"changedAt": 0,
"projects": [
{
"id": "string",
"name": "string",
"state": "active"
}
],
"counts": {},
"publications": {},
"pending": 0,
"uncertain": 0,
"active": 0,
"members": 0
}